Bug 865087 - The PostgreSQL cartridge is missing postgresql-contrib
The PostgreSQL cartridge is missing postgresql-contrib
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 15:28 EDT by Jan Pazdziora
Modified: 2015-05-14 19:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: devenv_2319+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:50:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2012-10-10 15:28:42 EDT
Description of problem:

I try to use the dblink PostgreSQL extension but

  \i /usr/share/pgsql/contrib/dblink.sql

in psql fails -- presumably the postgresql-contrib package is not installed on the Openshift host. It should be as it adds important functionality to the PostgreSQL server.

Version-Release number of selected component (if applicable):

PostgreSQL 8.4 cartridge.

How reproducible:

Tried on one application.

Steps to Reproduce:
1. Start psql.
2. Try to define dblink in your database with

\i /usr/share/pgsql/contrib/dblink.sql
  
Actual results:

test1=# \i /usr/share/pgsql/contrib/dblink.sql
/usr/share/pgsql/contrib/dblink.sql: No such file or directory
test1=#

Expected results:

No error, dblink functions created.

Additional info:
Comment 1 Mrunal Patel 2012-10-11 15:26:04 EDT
Fixed with https://github.com/openshift/origin-server/pull/656
Comment 2 Jianwei Hou 2012-10-14 22:27:18 EDT
Verified on devenv_2327

Steps:
1. Create app and embed postgresql
2. SSH into app and start psql
3. Try to define dblink in database

Result:
Dblink functions created without error.

php1=# \i /usr/share/pgsql/contrib/dblink.sql
SET
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
REVOKE
REVOKE
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE TYPE
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION
CREATE FUNCTION

Note You need to log in before you can comment on or make changes to this bug.